Light File Reference
`#include <osg/StateAttribute>`
`#include <osg/Vec3>`
`#include <osg/Vec4>`

Go to the source code of this file.

## Classes

class | osg::Light

## Namespaces

namespace | osg

## Macros

#define | OSG_LIGHT 1
#define | GL_LIGHT0 0x4000
#define | GL_LIGHT1 0x4001
#define | GL_LIGHT2 0x4002
#define | GL_LIGHT3 0x4003
#define | GL_LIGHT4 0x4004
#define | GL_LIGHT5 0x4005
#define | GL_LIGHT6 0x4006
#define | GL_LIGHT7 0x4007
#define | GL_LIGHTING 0x0B50

## Macro Definition Documentation

## GL_LIGHT0

#define GL_LIGHT0 0x4000

Referenced by osg::Light::getModeUsage().

## GL_LIGHT1

#define GL_LIGHT1 0x4001

## GL_LIGHT2

#define GL_LIGHT2 0x4002

## GL_LIGHT3

#define GL_LIGHT3 0x4003

## GL_LIGHT4

#define GL_LIGHT4 0x4004

## GL_LIGHT5

#define GL_LIGHT5 0x4005

## GL_LIGHT6

#define GL_LIGHT6 0x4006

## GL_LIGHT7

#define GL_LIGHT7 0x4007

## GL_LIGHTING

#define GL_LIGHTING 0x0B50

## OSG_LIGHT

#define OSG_LIGHT 1